<?php
/**
 * The template part for top header
 *
 * @package VW Travel 
 * @subpackage vw_travel
 * @since VW Travel 1.0
 */
?>

<div id="topbar">
  <div class="header-menu <?php if( get_theme_mod( 'vw_travel_sticky_header', false) ==1 || get_theme_mod( 'vw_travel_stickyheader_hide_show', false) ==1) { ?> header-sticky"<?php } else { ?>close-sticky <?php } ?>">
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-2 col-md-3 align-self-center">
          <div class="logo">
            <?php if ( has_custom_logo() ) : ?>
              <div class="site-logo"><?php the_custom_logo(); ?></div>
            <?php endif; ?>
            <?php $blog_info = get_bloginfo( 'name' ); ?>
              <?php if ( ! empty( $blog_info ) ) : ?>
                <?php if ( is_front_page() && is_home() ) : ?>
                <?php if( get_theme_mod('vw_travel_logo_title_hide_show',true) ==1){ ?>
                  <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                <?php } ?>
                <?php else : ?>
                  <?php if( get_theme_mod('vw_travel_logo_title_hide_show',true) ==1){ ?>
                    <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                  <?php } ?>
                <?php endif; ?>
              <?php endif; ?>
              <?php
                $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) :
              ?>
              <?php if( get_theme_mod('vw_travel_tagline_hide_show',false) ==1){ ?>
                <p class="site-description">
                  <?php echo esc_html($description); ?>
                </p>
              <?php } ?>
            <?php endif; ?>
          </div>
        </div>
        <div class="col-lg-8 col-md-6 align-self-center">
          <?php get_template_part( 'template-parts/header/navigation' ); ?>
        </div>
        <div class="col-lg-2 col-md-3 align-self-center">
          <?php if( get_theme_mod( 'vw_travel_phone_number') != '') { ?>
            <h6 class="phone-no"><a href="tel:<?php echo esc_attr( get_theme_mod('vw_travel_phone_number','') ); ?>"><?php echo esc_html(get_theme_mod('vw_travel_phone_number',''));?></a></h6>
          <?php }?>
        </div>
      </div>
    </div>
  </div>
</div>